SchwungradEvent = {};
SchwungradEvent_mt = Class(SchwungradEvent, Event);

InitEventClass(SchwungradEvent, "SchwungradEvent");

function SchwungradEvent:emptyNew()
    local self = Event:new(SchwungradEvent_mt);
    self.className="SchwungradEvent";
    return self;
end;

function SchwungradEvent:new(object, data)
    local self = SchwungradEvent:emptyNew()
    self.object = object;
	self.data = data;
    return self;
end;

function SchwungradEvent:readStream(streamId, connection)
    local id = streamReadInt32(streamId);
	self.object = networkGetObject(id);
	self.data = streamReadBool(streamId);
	self.object.StartEngine = self.data;
	if not connection:getIsServer() then
        g_server:broadcastEvent(SchwungradEvent:new(self.object, self.data), nil, connection, self.object);
    end;
end;

function SchwungradEvent:writeStream(streamId, connection)
    streamWriteInt32(streamId, networkGetObjectId(self.object));
	streamWriteBool(streamId, self.data);
end;

function SchwungradEvent.sendEvent(vehicle, data)
	if g_server ~= nil then
		g_server:broadcastEvent(SchwungradEvent:new(vehicle, data), nil, nil, vehicle);
	else
		g_client:getServerConnection():sendEvent(SchwungradEvent:new(vehicle, data));
	end;
end;